Package twisted :: Package persisted :: Package journal :: Module rowjournal

[show private | hide private]
[frames | no frames]

## Module twisted.persisted.journal.rowjournal

Journal using twisted.enterprise.row RDBMS support.

You're going to need the following table in your database:

       | CREATE TABLE journalinfo
       | (
       |   commandIndex int
       | );
       | INSERT INTO journalinfo VALUES (0);

Classes
`RowJournal` | Journal that stores data 'snapshot' in using twisted.enterprise.row.

Variable Summary
`int` | `DELETE`
`int` | `INSERT`
`_Feature` | `nested_scopes`
`int` | `UPDATE`

Variable Details

### DELETE

  Type:
    `int`
  Value:

        1

### INSERT

  Type:
    `int`
  Value:

        0

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### UPDATE

  Type:
    `int`
  Value:

        2

Generated by Epydoc 1.1 on Sat Feb 15 21:17:56 2003 | http://epydoc.sf.net